[Elven Knight Class Transfer]:
In order to become a Swordsinger, the Elven Knight must successfully complete three quests. The Trial of the Challenger can be undertaken by a player of level 35 or above. This quest begins by meeting with Kash of Dion Castle Town. The Testimony of Life can only be undertaken by a player of level 37 or above. This quest begins by meeting with Master Cardien of Dion Castle Town. Finally, the Test of the Duelist can be undertaken by a player of level 39 or above. This quest begins by meeting with Duelist Kaien of Oren Castle Town.
Return
Close Window